    using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;


namespace Mod
{
        public class Mod
    {

        public static void Main()
        {
					
	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Wolf of death with hood on", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "A human wearing furry costume", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("wolf of death with hood on frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("wolf of death with hood on.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head1.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Wolf of death", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "A human wearing furry costume", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("wolf of death frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("wolf of death.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head2.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Wolf of death unmasked", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "A human wearing furry costume without mask", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("wolf of death unmasked frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("wolf of death.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0f, 0f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head2.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
        }
    }
}
// Originally uploaded by 'FredMichalBear'. Do not reupload without their explicit permission.
